package com.demoad.plugin_codelab.adhelper.utils;

import android.util.Log;


import com.facebook.ads.BuildConfig;
import com.demoad.plugin_codelab.adhelper.helpers.SharedPreferencesClass;


public class Pack5AdsUtils {

    public static final String ADMOB = "admob";
    public static final String ADX = "adx";
    public static final String FB = "fb";
    public static final String INTERSTITIAL_ADS_COUNT = "pack5interstitial_ads_count";
    public static final String OPEN_ADS_SHOWED_COUNT = "pack5open_ads_showed_count";

    public static  boolean isShowingFullScreenAd = false;
    public static int ads_per_session = 0;

    public static void PrintLog(String key, String log) {
        if (BuildConfig.DEBUG) {
            Log.e(key, log);
        }
    }

    public static int getInterstitialAdsCount() {
        return SharedPreferencesClass.getInstance().getInt(INTERSTITIAL_ADS_COUNT, 0);
    }
    public static void setInterstitialAdsCount(int key) {
        SharedPreferencesClass.getInstance().setInt(INTERSTITIAL_ADS_COUNT, key);
    }

    public static int getOpenAdsShowedCount() {
        return SharedPreferencesClass.getInstance().getInt(OPEN_ADS_SHOWED_COUNT, 0);
    }
    public static void setOpenAdsShowedCount(int key) {
        SharedPreferencesClass.getInstance().setInt(OPEN_ADS_SHOWED_COUNT, key);
    }


}
